Skip to main content

Get Brand Asset Resource by ID

API Description​

Get information about a specific brand asset resource, including resource state. Supply the unique Apple-generated ID assigned to the resource, and the service will return the corresponding resource.

note

Service does not return "soft" deleted resources. Refer to the Get service

Request​

URI Parameters​

NameInput
orgId
REQUIRED
brandId
REQUIRED
assetId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands/{brandId}/assets/{assetId}
Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/assets/9467895078742654944

Request Headers​

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body​

None

Response​

200 OK or Error

Response Headers​

Name
apple-request-id
content-type
etag
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 9d059a6e-5a71-40c8-9a95-2e817a469576
content-type: application/json
etag: "58df050c-ddd1-11ec-b406-17be3fa34229"

Response Body​

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654944",
"createdDate": "2026-10-01T17:22:19.00Z",
"updatedDate": "2026-10-01T17:22:19.00Z",
"state": "SUBMITTED",
"etag": "58df050c-ddd1-11ec-b406-17be3fa34229",
"brandAssetDetails": {
"imageId": "1e863dc0-0980-11f0-9cd2-0242ac120002",
"partnersAssetId": "brand_asset_10101",
"intent": "PLACECARD_LOGO",
"altTexts": [
{
"text": "A barista preparing a cafe latte",
"locale": "en"
},
{
"text": "de prueba",
"locale": "es"
}
]
}
}